package fr.mael.jiwigo;

import junit.framework.Assert;

import org.junit.Test;

import fr.mael.jiwigo.transverse.exception.JiwigoException;
import fr.mael.jiwigo.transverse.session.SessionManager;
import fr.mael.jiwigo.transverse.util.spring.SpringUtils;

public class TestBase {
    public TestBase() throws JiwigoException {
	SessionManager sessionManager = SpringUtils.getSessionManager();
	sessionManager.setLogin("mael");
	sessionManager.setPassword("motdepasse");
	sessionManager.setUrl("http://mael.piwigo.com/ws.php");
	if (sessionManager.processLogin() != 0) {
	    try {
		throw new Exception("Connection failed");
	    } catch (Exception e) {
		e.printStackTrace();
	    }
	}
    }

    /**
     * Fake test so that maven assembly plugin's build does not fail
     */
    @Test
    public void fakeTest() {
	Assert.assertSame(true, true);
    }
}
