package fr.mael.jiwigo.service;

import java.util.Date;

import junit.framework.Assert;

import org.junit.Test;

import fr.mael.jiwigo.TestBase;
import fr.mael.jiwigo.transverse.exception.JiwigoException;
import fr.mael.jiwigo.transverse.exception.ProxyAuthenticationException;
import fr.mael.jiwigo.transverse.util.spring.SpringUtils;

public class TagServiceTest extends TestBase {

    public TagServiceTest() throws JiwigoException {
	super();
    }

    /**
     *  Test of the listing method
     * @throws ProxyAuthenticationException
     * @throws JiwigoException 
     */
    @Test
    public void ListerTest() throws ProxyAuthenticationException, JiwigoException {
	SpringUtils.getTagService().list();
    }

    /**
     * Test of the creation method
     * @throws ProxyAuthenticationException
     * @throws JiwigoException 
     */
    @Test
    public void creerTest() throws ProxyAuthenticationException, JiwigoException {
	Date date = new Date();
	Assert.assertSame(true, SpringUtils.getTagService().create("Tag" + date.getTime()));
    }

}
